Bug 191672 - 'rpm -e selinux-policy-targeted-sources' leaves files behind in /etc/selinux/targeted/src
Summary: 'rpm -e selinux-policy-targeted-sources' leaves files behind in /etc/selinux/...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-15 01:38 UTC by Mark Huth
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-16 01:56:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Huth 2006-05-15 01:38:37 UTC
Description of problem:
Files that are dynamically created as part of the package installation process
are not cleaned up on package removal.  If you install the
selinux-policy-targeted-sources rpm and then uninstall it (even without
modifying any files) files are left behind in /etc/selinux/targeted/src.  Bug or
feature?

How reproducible:
ls /etc/selinux/targeted (no 'src' directory)
rpm -i selinux-policy-targeted-sources
rpm -e selinux-policy-targeted-sources
ls /etc/selinux/targeted ('src' is still there)

Comment 1 Daniel Walsh 2006-06-16 01:56:59 UTC
This is a bug, but not likely to be fixed.


Note You need to log in before you can comment on or make changes to this bug.